# ----------------------------------------------------------------------------
# - afnix-defs                                                               -
# - afnix definition make file configuration                                 -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2013 amaury darsch                                    -
# ----------------------------------------------------------------------------

# ----------------------------------------------------------------------------
# - version                                                                  -
# ----------------------------------------------------------------------------

VERSION		= $(MAJOR).$(MINOR).$(PATCH)

# ----------------------------------------------------------------------------
# - distribution path definition                                             -
# ----------------------------------------------------------------------------

DIRCNF          = $(TOPDIR)/cnf
DIRSRC		= $(TOPDIR)/src
DIRTST		= $(TOPDIR)/tst
DIRDOC		= $(TOPDIR)/doc
DIRETC		= $(TOPDIR)/etc
DIREXP		= $(TOPDIR)/exp

# ----------------------------------------------------------------------------
# - build path definition                                                    -
# ----------------------------------------------------------------------------

BLDDIR		= $(TOPDIR)/bld
BLDBIN		= $(BLDDIR)/bin
BLDLIB		= $(BLDDIR)/lib
BLDPRJ		= $(BLDDIR)/prj
BLDHDR		= $(BLDDIR)/hdr
BLDDVL		= $(BLDDIR)/dvl
BLDPKG		= $(BLDDIR)/pkg

SRCDST		= afnix-src-$(VERSION)
DOCDST		= afnix-doc-$(VERSION)

BLDDST		= $(BLDDIR)/$(SRCDST)
BLDDOC		= $(BLDDIR)/$(DOCDST)
DOCXHT		= $(BLDDOC)/xht
DOCMAN		= $(BLDDOC)/man
DOCTEX		= $(BLDDOC)/tex

BLDDEB		= $(BLDPKG)/deb/afnix-$(VERSION)

# ----------------------------------------------------------------------------
# - install path definition                                                  -
# ----------------------------------------------------------------------------

BINDIR		= $(PREFIX)/bin
LIBDIR		= $(PREFIX)/lib
PRJDIR		= $(PREFIX)/lib/afnix
HDRDIR		= $(PREFIX)/include/afnix
DOCDIR		= $(SHRDIR)/doc/afnix
MANDIR		= $(SHRDIR)/man
ETCDIR		= $(ALTDIR)/etc/afnix

# ----------------------------------------------------------------------------
# - package definitions                                                      -
# ----------------------------------------------------------------------------

# check for a rpm package
ifeq ($(PACKNAME),rpm)
# check for bin overwrite
BINDIR		= $(PREFIX)/usr/bin
ifneq ($(PKGBIN),)
BINDIR		= $(PREFIX)$(PKGBIN)
endif
# check for lib overwrite
LIBDIR		= $(PREFIX)/usr/lib
ifeq ($(PROCBITS),64)
LIBDIR		= $(PREFIX)/usr/lib64
endif
ifneq ($(PKGLIB),)
LIBDIR		= $(PREFIX)$(PKGLIB)
endif
# check for project overwrite
PRJDIR		= $(LIBDIR)/afnix
ifneq ($(PKGPRJ),)
PRJDIR		= $(PREFIX)$(PKGPRJ)
endif
# check for header overwrite
HDRDIR		= $(PREFIX)/usr/include/afnix
ifneq ($(PKGHDR),)
HDRDIR		= $(PREFIX)$(PKGHDR)
endif
# check for etc overwrite
ETCDIR		= $(PREFIX)/etc/afnix
ifneq ($(PKGETC),)
ETCDIR		= $(PREFIX)$(PKGETC)
endif
# check for man overwrite
MANDIR		= $(PREFIX)/usr/share/man
ifneq ($(PKGMAN),)
MANDIR		= $(PREFIX)$(PKGMAN)
endif
# check for doc overwrite
DOCDIR		= $(PREFIX)/usr/share/doc
ifneq ($(PKGDOC),)
DOCDIR		= $(PREFIX)$(PKGDOC)
endif
endif

# check for a deb package
ifeq ($(PACKNAME),deb)
# check for bin overwrite
BINDIR		= $(PREFIX)/usr/bin
ifneq ($(PKGBIN),)
BINDIR		= $(PREFIX)$(PKGBIN)
endif
# check for lib overwrite
LIBDIR		= $(PREFIX)/usr/lib
ifneq ($(PKGLIB),)
LIBDIR		= $(PREFIX)$(PKGLIB)
endif
# check for project overwrite
PRJDIR		= $(LIBDIR)/afnix
ifneq ($(PKGPRJ),)
PRJDIR		= $(PREFIX)$(PKGPRJ)
endif
# check for header overwrite
HDRDIR		= $(PREFIX)/usr/include/afnix
ifneq ($(PKGHDR),)
HDRDIR		= $(PREFIX)$(PKGHDR)
endif
# check for etc overwrite
ETCDIR		= $(PREFIX)/etc/afnix
ifneq ($(PKGETC),)
ETCDIR		= $(PREFIX)$(PKGETC)
endif
# check for man overwrite
MANDIR		= $(PREFIX)/usr/share/man
ifneq ($(PKGMAN),)
MANDIR		= $(PREFIX)$(PKGMAN)
endif
# check for doc overwrite
DOCDIR		= $(PREFIX)/usr/share/doc
ifneq ($(PKGDOC),)
DOCDIR		= $(PREFIX)$(PKGDOC)
endif
endif

# ----------------------------------------------------------------------------
# - other shared commands and scripts                                        -
# ----------------------------------------------------------------------------

MKDIR           = $(DIRCNF)/bin/afnix-mkdir
AEXEC		= $(DIRCNF)/bin/afnix-aexec
BEXEC		= $(DIRCNF)/bin/afnix-bexec

# ----------------------------------------------------------------------------
# - default testing command and options                                      -
# ----------------------------------------------------------------------------

TSTREF		= $(DIRTST)/ref
TSTMOD		= $(DIRTST)/mod
AXIDIR		= $(BLDDIR)
AXILIB		= $(BLDLIB)
AXIEXE		= "axi"
AXIOPT		= "-e UTF-8 -f assert"

# ----------------------------------------------------------------------------
# - configuration definitions                                                -
# ----------------------------------------------------------------------------

CNFDEFINES	= -DPLATNAME=\"$(PLATNAME)\" 
CNFDEFINES     += -DPLATVERS=\"$(PLATVERS)\"
CNFDEFINES     += -DPLATVMAJ=\"$(PLATVMAJ)\"
CNFDEFINES     += -DPLATVMIN=\"$(PLATVMIN)\"
CNFDEFINES     += -DPROCNAME=\"$(PROCNAME)\"
CNFDEFINES     += -DPROCTYPE=\"$(PROCTYPE)\"
CNFDEFINES     += -DPLTMAJOR=\"$(MAJOR)\"
CNFDEFINES     += -DPLTMINOR=\"$(MINOR)\"
CNFDEFINES     += -DPLTPATCH=\"$(PATCH)\"
CNFDEFINES     += -DLINKTYPE=\"$(LKTYPE)\"
